Open Infrastructure - Task #5940

Update ungleich DNS infrastructure v3
11/02/2018 04:22 PM - Nico Schottelius

Status: Closed Start date: 11/02/2018
Priority: Normal Due date: 11/16/2018
Assignee: Nico Schottelius % Done: 0%
Category: Estimated time: 0.00 hour

Target version:
PM Check date:

Description
Current setup:

e Authorative

o 1x server in place4 (bind) (dns5)

o 2x VMs in place5 (nsd) (dns3,dns4)

o 2x router in place5 (bind) (dns1,dns2)
e Caching

o 2x router in place5 (bind)

o 2x router in place6 (bind)

New setup:

e Authorative
o 1x server in place4 (bind) (dns5)
1x VM in place5 (bind) (new)
1x VM in place6 (bind) (new)
o 1x router in place5 (bind)
= use the VRRP IPv4 and IPv6
o 1x router in place6 (bind)
= use the VRRP IPv4 and IPv6
e Caching
o 2x router in place5 (bind)
o 2x router in place6 (bind)
e Documentation
o As both routers (router1 && router2) will function as the authorative server, both need to be reconfigured every time
= Likely cdist config dns-auth{1..7}.ungleich.ch
= |n the nameserver sets it will be only dns{1..5}.ungleich.ch
o Documentation on how to update our DNS servers should be in the wiki
History

#1 - 11/02/2018 04:26 PM - Nico Schottelius
- Description updated

#3 - 11/06/2018 05:42 PM - Nico Schottelius
- Status changed from New to In Progress

- Assignee changed from Jin-Guk Kwon to Nico Schottelius

Taking to me as some servers don't respond correctly && we should update this

#4 - 11/06/2018 05:51 PM - Nico Schottelius

e Introducing d1-5.ungleich.ch as internal names to be used

; DNS names internally / for cdist

dl CNAME routerl.placeb
dz2 CNAME router2.place5
d3 CNAME routerl.placeb6
d4 CNAME router2.place6
http://localhost:3000/projects/open-infrastructure/wiki/Wiki

dbs CNAME serverl.placed

Using cdist:

[

[17:51] line:~% echo __ungleich_dns_server --server-variant bind9 |

dot-cdist/ dns{1l..5}.ungleich.ch

#5 - 11/06/2018 06:17 PM - Nico Schottelius

e Updated glue records for dns{1..3}

#6 - 11/06/2018 07:42 PM - Nico Schottelius

- Status changed from In Progress to Closed

Done including documentation.

[19:41] line:~% dig ungleich.ch ns

; <<>> DiG 9.10.3-P4-Debian <<>> ungleich.ch ns

;7 global options: +cmd
;7 Got answer:

;; —>>HEADER<<- opcode: QUERY, status:
;; flags: gr aa rd ra; QUERY: 1, ANSWER: 3, AUTHORITY: 0, ADDITIONAL:

;; OPT PSEUDOSECTION:

; EDNS: version: 0, flags:; udp: 4096
;; QUESTION SECTION:

;ungleich.ch. IN NS

;; ANSWER SECTION:

ungleich.ch. 60 IN NS
ungleich.ch. 60 IN NS
ungleich.ch. 60 IN NS

;; ADDITIONAL SECTION:

dnsl.ungleich.ch. 60 IN A
dnsl.ungleich.ch. 60 IN AAAA
dns2.ungleich.ch. 60 IN A
dns2.ungleich.ch. 60 IN AAAA
dns3.ungleich.ch. 60 IN A
dns3.ungleich.ch. 60 IN AAAA

;7 Query time: 0 msec

;; SERVER: 10.3.8.5#53(10.3.8.5)

;7 WHEN: Tue Nov 06 19:41:30 CET 2018
;7 MSG SIZE «rcvd: 229

[

[19:41] line:~% dig ungleich.ch ns @8.

NOERROR, id: 48955

dns3.ungleich.ch.
dns2.ungleich.ch.
dnsl.ungleich.ch.

176.9.50.202
2a01:4£8:150:7092::2

185.203.112.1
2al0a:ebcO0::1

185.203.114.1
2a0a:ebc0:2:1::7

8.8.8

; <<>> DiG 9.10.3-P4-Debian <<>> ungleich.ch ns @8.8.8.8

;7 global options: +cmd
;7 Got answer:

;7 —>>HEADER<<- opcode: QUERY, status:

;; flags: gr rd ra; QUERY: 1, ANSWER:

;7 OPT PSEUDOSECTION:

; EDNS: version: 0, flags:; udp: 512
;7 QUESTION SECTION:

;jungleich.ch. IN NS

;; ANSWER SECTION:

ungleich.ch. 59 IN NS
ungleich.ch. 59 IN NS
ungleich.ch. 59 IN NS

;7 Query time: 45 msec

;7 SERVER: 8.8.8.8#53(8.8.8.8)

;7 WHEN: Tue Nov 06 19:41:33 CET 2018
;7 MSG SIZE «rcvd: 97

[19:41] line:~%
NOERROR, id: 43630
3, AUTHORITY: O, ADDITIONAL: 1

dns2.ungleich.ch.
dnsl.ungleich.ch.
dns3.ungleich.ch.

cdist config -p5 -bj5 -vvc ~/vcs/ungleich-
